<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>CSS and Bootstrap Flex</title>

		 <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
		<!-- <link rel="stylesheet" type="text/css" href="./index.css"> -->
		<!-- Shortcut key:
				ctrl enter = new line
				ctrl shift d = copy and paste a code line
				ctrl shift key up/down = to move the code line
				hold ctrl and click the items you need to type
		 -->

	</head>
	<body>
		<div class="text-center">
			<h1>Bootstrap Flex</h1>
			<p>
				use the d-flex class to create a flex container and transform direct children into flex items.
			</p>

			<h2>Centering Elements</h2>
		
			<div style="height: 500px;" class="bg-secondary p-3 d-flex justify-content-center align-items-center flex-column flex-column-reverse">
				<div class="h-25 p-3 bg-success">Flex Item A</div>
				<div class="h-25 p-3 bg-warning">Flex Item B</div>
				<div class="h-25 p-3 bg-danger">Flex Item C</div>
			</div>

			<h2>Flex Row</h2>
			<div class="bg-dark p-3 d-flex flex-row">
				<div class="p-3 bg-success">Flex Item A</div>
				<div class="p-3 bg-warning">Flex Item B</div>
				<div class="p-3 bg-danger">Flex Item C</div>
			</div>

			<h2>Flex Row Reverse</h2>
			<div class="bg-dark p-3 d-flex flex-row-reverse">
				<div class="p-3 bg-success">Flex Item A</div>
				<div class="p-3 bg-warning">Flex Item B</div>
				<div class="p-3 bg-danger">Flex Item C</div>
			</div>

			<h2>Creating Space Between Elements</h2>
			<!-- justify-content-around equal spaces between elements and borders depends sa parent-->
			<div class="bg-dark p-3 d-md-flex justify-content-around">
				<div class="p-3 bg-success col-md-2">Flex Item A</div>
				<div class="p-3 bg-warning col-md-2">Flex Item B</div>
				<div class="p-3 bg-danger col-md-2">Flex Item C</div>
			</div>

			<h2>Flexbox With Margin</h2>
			<div class="bg-dark p-3 d-md-flex">
				<div class="p-3 bg-success me-auto">Flex Item A</div>
				<div class="p-3 bg-warning">Flex Item B</div>
				<div class="p-3 bg-danger">Flex Item C</div>
				<div class="p-3 bg-primary">Flex Item D</div>
			</div>

			<h2>Nested Flex Elements</h2>
			<div class="bg-dark p-3 d-block d-md-flex">
				<div class="p-3 bg-success me-auto">Flex Item A</div>

				<!-- justify-content-between justify-content-around equal spaces between elements only, not including borders, depends sa parent -->
				<div class="w-50 d-block d-md-flex justify-content-between">
					<div class="p-3 bg-warning">Flex Item B</div>
					<div class="p-3 bg-danger">Flex Item C</div>
					<div class="p-3 bg-primary">Flex Item D</div>
				</div>
			</div>


		</div>


		 <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js" integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN" crossorigin="anonymous"></script>
	</body>

</html>